import { Changed, Created } from "./change";
export interface Address {
    addressId?: string;
    city?: string;
    street?: string;
    streetNumber?: string;
    country?: string;
    zip?: string;
    type?: string;
    desc?: string;
}
export interface BankAccount {
    bic?: string;
    iban?: string;
}
export interface GeoLocation {
    latitude: number;
    longitude: number;
    altitude: number;
}
export interface Person extends Changed, Created {
    addresses?: Address[];
    companyName?: string;
    email?: string;
    firstName?: string;
    lastName?: string;
    mobile?: string;
    phoneNumber?: string;
    role?: string;
    shortName?: string;
    title?: string;
    vatNumber?: string;
}
