import { Change, Changed } from './change';
import { TableFilter } from './filter';
import { InfoProvider } from './info';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.entity.ChainEntity <br/>
*/
export interface ChainEntity {
    readonly key?: ChainKey;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.entity.ChainEntityBase <br/>
*/
export interface ChainEntityBase extends ChainEntity, Changed, InfoProvider {
    change?: Change;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.entity.ChainKey <br/>
*/
export interface ChainKey {
    entity?: string;
    id?: string;
    module?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.entity.EntityFilter <br/>
*/
export interface EntityFilter extends TableFilter {
}
